[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TIdentMapEntry

Record used when associating names with integer values.

## Declaration

Source position: classesh.inc line 2016

`type TIdentMapEntry = record`
`Value: Integer;` |  | Integer value
`Name: string;` |  | Name of the integer value.
`end;`

## Description

TIdentMapEntry is used internally by the IdentToInt and IntToIdent calls to store the mapping between the identifiers and the integers they represent.

## See also

IntToIdent |  | Looks up an identifier for an integer value in a identifier-to-integer map list.
IdentToInt |  | Looks up an integer value in a integer-to-identifier map list.

Documentation generated on: Feb 26 2014